> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.moveworks.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.moveworks.com/_mcp/server.

# List conversations

GET https://api.moveworks.ai/assistant/v1/conversations

Retrieves a paginated list of conversations in descending order by `updated_at` time (last accessed first). Only unarchived conversations are retrieved by default.

Reference: https://help.moveworks.com/api-reference/conversations-api/deprecated-conversations-api/conversations/list-conversations

## Authentication

- `Authorization` header (bearer token, required) — JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as 'Bearer \<token>'.

## Request

### Query parameters

- `cursor` (string, optional) — Opaque cursor for pagination (obtained from previous response)
- `limit` (integer, optional, default: 20) — Maximum number of conversations to return (1-100)
- `archived` (boolean, optional, default: false) — Filter by archived status

### Headers

- `Assistant-Name` (string, required) — The Moveworks assistant identifier that was configured for your organization.

## Response

### 200

List of conversations

- `conversations` (list of object, required) — Array of conversations
  - `conversation_id` (string, required) — A base-62 identifier prefixed by a short resource type
  - `created_at` (datetime, required) — Creation timestamp (ISO 8601)
  - `updated_at` (datetime, required) — Last update timestamp (ISO 8601)
  - `title` (string, optional) — Optional user-defined title
  - `archived` (boolean, optional) — User-controlled flag to mark conversation as archived
- `metadata` (object, optional) — Metadata (pagination)
  - `next_cursor` (string, optional, nullable) — Opaque cursor for next page (null if no more results)

## Examples

**Response**

```json
{
  "conversations": [
    {
      "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
      "created_at": "2025-01-20T10:00:00Z",
      "updated_at": "2025-01-20T10:00:00Z",
      "title": "Help with user permissions"
    }
  ],
  "metadata": {
    "next_cursor": "eyJvZmZzZXQiOjIwfQ=="
  }
}
```

**SDK Code**

```python Conversations_listConversations_example
import requests

url = "https://api.moveworks.ai/assistant/v1/conversations"

headers = {
    "Assistant-Name": "acmecorp-conversations-rest-api",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Conversations_listConversations_example
const url = 'https://api.moveworks.ai/assistant/v1/conversations';
const options = {
  method: 'GET',
  headers: {
    'Assistant-Name': 'acmecorp-conversations-rest-api',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Conversations_listConversations_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.moveworks.ai/assistant/v1/conversations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Assistant-Name", "acmecorp-conversations-rest-api")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Conversations_listConversations_example
require 'uri'
require 'net/http'

url = URI("https://api.moveworks.ai/assistant/v1/conversations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Assistant-Name"] = 'acmecorp-conversations-rest-api'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Conversations_listConversations_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.moveworks.ai/assistant/v1/conversations")
  .header("Assistant-Name", "acmecorp-conversations-rest-api")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Conversations_listConversations_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.moveworks.ai/assistant/v1/conversations', [
  'headers' => [
    'Assistant-Name' => 'acmecorp-conversations-rest-api',
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Conversations_listConversations_example
using RestSharp;

var client = new RestClient("https://api.moveworks.ai/assistant/v1/conversations");
var request = new RestRequest(Method.GET);
request.AddHeader("Assistant-Name", "acmecorp-conversations-rest-api");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Conversations_listConversations_example
import Foundation

let headers = [
  "Assistant-Name": "acmecorp-conversations-rest-api",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/assistant/v1/conversations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```